Skip to main content
GET
/
api
/
v1
/
projects
/
all
List projects
curl --request GET \
  --url https://api.melius.com/api/v1/projects/all \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/projects/all"

headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/projects/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdByName": "<string>",
      "canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "canvases": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "nodeCount": 123,
          "sortOrder": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "previewAssets": [
            {
              "url": "<string>",
              "thumbnailUrl": "<string>"
            }
          ]
        }
      ],
      "isPublic": true,
      "previewAssets": [
        {
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lastEditAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer | null
default:0
Required range: x >= 0
teamId
string<uuid>
sort
enum<string>
default:last_edited
Available options:
last_edited,
created,
title,
owner
direction
enum<string>
Available options:
asc,
desc
includePreviewAssets
boolean
default:true
folderId

Response

200

data
object[]
required
total
integer
required
Last modified on July 9, 2026